from django.shortcuts import render, get_object_or_404, redirect
from webapp.models import Article


def index_view(request):
    context = {'articles': Article.objects.all()}

    return render(request, 'index.html', context)


def article_detail_view(request, id):
    context = {'article': get_object_or_404(Article, id=id)}
 
    return render(request, 'articles/detail.html', context)


def article_create_view(request):
    if request.method == 'GET':
        return render(request, 'articles/create.html')
    elif request.method == 'POST':
        print(request.POST)
        
        article = Article.objects.create(
            title=request.POST.get('title'),
            text=request.POST.get('text'),
            author=request.POST.get('author'),
        )
        
        return redirect('articles_detail', id=article.id)
